package org.cs.mgr.user.dao;

import java.util.List;

import org.cs.core.dao.IBaseDao;
import org.cs.util.Pager;
import org.cs.mgr.user.model.MgmInviteRecord;

/**
 * 
 * @ClassName: IMgmInviteRecordDao
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:28:56
 */
public interface IMgmInviteRecordDao extends IBaseDao<MgmInviteRecord> {

	Pager queryMgmInviteRecords(Pager page);
	
	MgmInviteRecord getByPropertie(String value,String entry);
	
	Pager queryMgmInviteRecordsByCode(Pager page,String code);
	
	List<MgmInviteRecord> queryMgmInviteRecordsByCode(String code);
	
	MgmInviteRecord getByRecordUserId(Integer userId); 
}
